clear
clf
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%  	Reads data from two files (hip and knee data, for 	%%%
%%%	example) and custom constructs one or several 		%%%
%%%	superimposed cyclograms.				%%%
%%%								%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

load cyclo_data/fxd_12.hkB
x = fxd_12(:,1);
y = fxd_12(:,2);
plot(x,y)
hold on
load cyclo_data/fxu_00.hkB
x = fxu_00(:,1);
y = fxu_00(:,2);
plot(x,y,'--')
hold on
load cyclo_data/fxu_11.hkB
x = fxu_11(:,1);
y = fxu_11(:,2);
plot(x,y,':')
hold on

pl_ax1 = [-30 0; 75 0];
pl_ax2 = [0 -96; 0 15];
plot(pl_ax1(:,1),pl_ax1(:,2),'--',pl_ax2(:,1),pl_ax2(:,2),'--');
xlabel('Hip Angle (degrees)');
ylabel('Knee Angle (degrees)');
lab = ['extension';'flexion  ';'flexion  ';'extension';'-12 deg  ';...
'0 deg    ';'+11 deg  '];
l11 = [-30; 60;   2;  2; 6; 28;  60];
l21 = [4;  4; -95; 10; -4; -15;  -65];
text(l11, l21, lab);
