

clear 
clf

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%%%% Visually selected hip and knee joint angles at heel-strike	%%%%
%%%% for different slopes (-13deg to +13 deg)			%%%%
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%


hip = [2.17; 4.24; 4.811; 2.358; 5.2; 9.15; 8.01; 6.89; 5.94; 10.28; 10.47; 13.68;13.86; 
20.66;    29.9; 27.8; 37.45; 42.92; 48.96; 48.77; 52.35; 52.54; 49.52; 61.79; 66.88; 
59.9; 61.6];

knee = [-1.22; -0.85; 2.92; 5.19; 2.36; 2.73; -0.09; 5.94; 5.56; 4.24; 3.3; 6.32; 4.62; 
1.23;  -7.26; -3.3; -6.12; -16.88; -19.15; -28.02; -34.43; -41.03; -45.75; -47.45; -53.30; 
-56.13; -54.3];


vect1 = -13 : 1 : 0;
vect2 = 1 : 1 : 13;
sl = [vect1'; vect2'];


n 	= 	2;
pol 	= 	polyfit(sl, hip, n);
f1	= 	polyval(pol, sl);

n 	= 	2;
pol 	= 	polyfit(sl, knee, n);
f2	= 	polyval(pol, sl);


plot(sl,f1,sl, hip,'+',sl,f2,sl, knee,'+');
%axis([-15 15 20 120]);
axis square
grid
xlabel('Ground slope (degree)');
ylabel('Knee and hip angle at heel-strike (degree)');

